Subject: DIR_COLORS LS_COLORS (was: Re: dircolors)
From: "Gerrit P. Haase" <[email-masked]>
To: Reid Thompson <[email-masked]>
Cc: [email-masked]
Date: Sat, 16 Jun 2001 02:46:42 +0200

Reid Thompson schrieb am 2001-03-22, 12:11:

> I can't seem to be able to alter the resources for dircolors.  I have
> .dircolors.rc in $HOME and no where else on my machine. If I utilize ls
> --color, i get default colored output.  EXEC files are bright green.  If I
> look at .dircolors.rc I see this.  If I alter .dircolors.rc it does not pick
> up the changes. 
> 
> dircolors --print-database  lists the output below.  There is no TERM entry
> for CYGWIN.  If I alter my .dircolors.rc file to add TERM CYGWIN and and
> alter the coloring schema and do dircolors --print-database I get the same
> results.  dircolors does not appear to be reading my .dircolors.rc.  I have
> attempted this using dircolors -b ~/.dircolors.rc  and eval `dircolors -b`
> and eval `dircolors -b ~/.dircolors.rc.
                                      ^^^^^ is a backtick missing here?
 
> Per the mail archives I tried setting and exporting values by hand
> successfully.  Am I correct if I assume that dircolors currently is unable
> to be updated utilizing the .dircolors.rc file?

No.
Well, i fiddled a little around this evening and it was hard to find
good hints at the archives, so i decided to post this now.

It works (i tried in rxvt and cmd).
At first create a config-file, say '/etc/DIR_COLORS'
-(see below attached file form mandrake with some more entries as default)
then an alias needs to be set in 
	~/.bashrc:
		alias ls='ls --color=auto'
or 		alias ls='ls --color'
after the alias, /etc/DIR_COLORS needs to be sourced:
	~/.bashrc:
		eval `dircolors -b /etc/DIR_COLORS`

Note the backticks!

Now the default TERM setting in cygwin is: TERM=cygwin
so this needs to be added to /etc/DIR_COLORS:
...
# Below, there should be one TERM entry for each termtype that is colorizable
TERM cygwin
TERM linux
...

Full Mandrake DIR_COLORS file:
==============================
# Mandrake's colors for DIR_COLORS.  if your system isn't set up
# to read this file from /etc/DIR_COLORS, or you want a localized one
# for just your user, you can use 
# eval `dircolors -b /path/to/DIR_COLORS`
# to load this file. (if you're using bash)
# You MUST use gnu ls and you MUST have the --color=auto option aliased
# in your profile.  (i.e. add another line to your .bashrc that looks like
# this:
# alias ls='ls --color=auto'

COLOR tty

# Extra command line options for ls go here.
# Basically these ones are:
#  -F = show '/' for dirs, '*' for executables, etc.
#  -T 0 = don't trust tab spacing when formatting ls output.
# -b = better support for special characters
OPTIONS -F -b -T 0
# Options setting seems not to work on cygwin, <---------------------NOTE
# so the extra options should be aliased too   <---------------------NOTE

# Below, there should be one TERM entry for each termtype that is colorizable
TERM cygwin
TERM linux
TERM console
TERM con132x25
TERM con132x30
TERM con132x43
TERM con132x60
TERM con80x25
TERM con80x28
TERM con80x30
TERM con80x43
TERM con80x50
TERM con80x60
TERM xterm
TERM vt100
TERM vt220
TERM ansi

# EIGHTBIT, followed by '1' for on, '0' for off. (8-bit output)
EIGHTBIT 1

# Below are the color init strings for the basic file types. A color init
# string consists of one or more of the following numeric codes:
# Attribute codes: 
# 00=none 01=bold 04=underscore 05=blink 07=reverse 08=concealed
# Text color codes:
# 30=black 31=red 32=green 33=yellow 34=blue 35=magenta 36=cyan 37=white
# Background color codes:
# 40=black 41=red 42=green 43=yellow 44=blue 45=magenta 46=cyan 47=white
NORMAL 00	# global default, although everything should be something.
FILE 00 	# normal file
DIR 01;34 	# directory
LINK 01;36 	# symbolic link
FIFO 40;33	# pipe
SOCK 01;35	# socket
BLK 40;33;01	# block device driver
CHR 40;33;01 	# character device driver

# This is for files with execute permission:
EXEC 01;33 

# List any file extensions like '.gz' or '.tar' that you would like ls
# to colorize below. Put the extension, a space, and the color init string.
# (and any comments you want to add after a '#')
*~   05;31 # stuff we hate to find laying around (flashing red)
.mtxt 05;31 # (maybe if it's blinking red ppl will get as annoyed as I do)
.ndx 05;31
.cmd 01;32 # executables (bright green)
.exe 01;32
.com 01;32
.btm 01;32
.bat 01;32
.c   01;36 # source code (Cyan)
.h   01;36
.pl  01;36
.pm  01;36
.cgi 01;36
.java 01;36
.html 01;36
.tar 01;31 # archives or compressed (bright red)
.tgz 01;31
.arj 01;31
.taz 01;31
.lzh 01;31
.zip 01;31
.z   01;31
.Z   01;31
.gz  01;31
.jpg 01;35 # image formats
.jpeg 01;35
.JPG 01;35 
.gif 01;35
.GIF 01;35
.bmp 01;35
.BMP 01;35
.xbm 01;35
.ppm 01;35
.xpm 01;35
.tif 01;35

# gph 2001-06-16

-- 
=^..^=

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple